Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002122KdenliveMLTpublic2011-05-15 02:352011-11-01 18:56
Reportertidris769 
Assigned Toj-b-m 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platform32 bit intel and alikeOSubuntu linuxOS Version10.10
Product VersionRecent git 
Target VersionFixed in Version0.8.2 
Summary0002122: very slow startup if many ladspa plugins present
DescriptionUsing current svn kdenlive and git mlt.

If many ladspa plugins are installed kdenlive takes a very long time before it shows the GUI after launch.

Work around for me was to remove all the extra ladspa plugins I had.
Steps To Reproduce- Install the following ladspa plugin ubuntu packages: jack-rack, blop, cmt, swh-plugins.
- Launch kdenlive and wait a very long time (several minutes) for the GUI to show up. Notice how kdenlive uses 100% CPU time.
- Quit or kill kdenlive.
- Remove packages jack-rack, blop, cmt, swh-plugins,
- Launch kdenlive and note how the GUI shows within a couple seconds after launch.
Additional InformationI spent some time in gdb and noticed the big delay is while gathering information about ladspa plugins from mlt.
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0006717)
j-b-m (administrator)
2011-05-15 10:54

Seems fixed in latest MLT's commits, can you confirm?
(0006718)
tidris769 (reporter)
2011-05-15 15:59

I can confirm it's fixed with latest git mlt.

- Issue History
Date Modified Username Field Change
2011-05-15 02:35 tidris769 New Issue
2011-05-15 10:54 j-b-m Note Added: 0006717
2011-05-15 10:54 j-b-m Assigned To => j-b-m
2011-05-15 10:54 j-b-m Status new => feedback
2011-05-15 15:59 tidris769 Note Added: 0006718
2011-05-15 15:59 tidris769 Status feedback => assigned
2011-05-17 18:10 j-b-m Status assigned => resolved
2011-05-17 18:10 j-b-m Fixed in Version => Recent git
2011-05-17 18:10 j-b-m Resolution open => fixed
2011-07-05 12:15 j-b-m Fixed in Version Recent git => 0.8.2
2011-11-01 18:56 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker